#!/bin/csh

echo Building Tiles...
foreach tileset ( classic adambolt nethack ascii )
	pushd $tileset
	echo Building 8x8 version
	echo Building 8x8 version
	gfx2gba -M -t8 -P -fsrc -St_8 mini16.bmp dungeon16.bmp alphabet.bmp 
	echo Building 16x16 version
	gfx2gba -M -t8 -T16 -fsrc -St_16 mini16.bmp dungeon16.bmp alphabet.bmp
	echo Normalizing the master palette
	mv master.pal.c old.master.pal.c
	sed -e s/03e0/0000/ old.master.pal.c > master.pal.c
	popd
end

echo Building Background images..
bmp2c slug_and_blood.bmp
bmp2c slug_and_blood_hires.bmp

echo Dirtying build...
rm -f all_bitmaps.o
